Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.schema
Class SchemaVersion2000

    java.lang.Object
      org.apache.axis.schema.SchemaVersion2000

All Implemented Interfaces:
  SchemaVersion, Serializable

public class SchemaVersion2000
extends Object
implements SchemaVersion

2000 Schema characteristics.

Author:
  Glen Daniels (gdaniels@apache.org)
See Also:
  Serialized Form

Field Summary
`static javax.xml.namespace.QName` | `QNAME_NIL`

Fields inherited from interface org.apache.axis.schema.SchemaVersion
`SCHEMA_1999, SCHEMA_2000, SCHEMA_2001`

Method Summary
`javax.xml.namespace.QName` | `getNilQName()` Get the appropriate QName for the "null"/"nil" attribute for this Schema version.
`String` | `getXsdURI()` The XSD URI
`String` | `getXsiURI()` The XSI URI
`void` | `registerSchemaSpecificTypes(TypeMapping tm)` Register the schema specific type mappings

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QNAME_NIL

    public static javax.xml.namespace.QName QNAME_NIL

Method Detail

### getNilQName

    public javax.xml.namespace.QName getNilQName()

  Get the appropriate QName for the "null"/"nil" attribute for this Schema version.

  Specified by:
    `getNilQName` in interface `SchemaVersion`
  Returns:
    {http://www.w3.org/2000/10/XMLSchema-instance}null

### getXsiURI

    public String getXsiURI()

  The XSI URI

  Specified by:
    `getXsiURI` in interface `SchemaVersion`
  Returns:
    the XSI URI

### getXsdURI

    public String getXsdURI()

  The XSD URI

  Specified by:
    `getXsdURI` in interface `SchemaVersion`
  Returns:
    the XSD URI

### registerSchemaSpecificTypes

    public void registerSchemaSpecificTypes(TypeMapping tm)

  Register the schema specific type mappings

  Specified by:
    `registerSchemaSpecificTypes` in interface `SchemaVersion`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.